/**
 * Copyright 2024 cronn GmbH
 * SPDX-License-Identifier: AGPL-3.0-only
 */

import {
  ApiChild,
  ApiGender,
  ApiInstitution,
} from "@eshg/employee-portal-api/dental";

import { BaseEntity, mapBaseEntity } from "@/lib/shared/api/models/BaseEntity";

export interface Child extends BaseEntity {
  readonly firstName: string;
  readonly lastName: string;
  readonly gender: ApiGender;
  readonly dateOfBirth: Date;
  readonly year: number;
  readonly groupName: string;
  readonly institution: ApiInstitution;
}

export function mapChild(response: ApiChild): Child {
  return {
    ...mapBaseEntity(response),
    firstName: response.firstName,
    lastName: response.lastName,
    gender: response.gender,
    dateOfBirth: response.dateOfBirth,
    year: response.year,
    groupName: response.groupName,
    institution: response.institution,
  };
}
