/**
 * Copyright 2024 cronn GmbH
 * SPDX-License-Identifier: Apache-2.0
 */

import { ApiConfiguration } from "@eshg/lib-portal/api/ApiProvider";

import { env } from "@/env/server";

declare module "@eshg/lib-portal/api/ApiProvider" {
  interface ApiConfiguration {
    PUBLIC_BASE_BACKEND_URL: string;
    PUBLIC_INSPECTION_BACKEND_URL: string;
    PUBLIC_SCHOOL_ENTRY_BACKEND_URL: string;
    PUBLIC_TRAVEL_MEDICINE_BACKEND_URL: string;
    PUBLIC_MEASLES_PROTECTION_BACKEND_URL: string;
    PUBLIC_STATISTICS_BACKEND_URL: string;
    PUBLIC_CHAT_MANAGEMENT_BACKEND_URL: string;
    PUBLIC_AUDITLOG_BACKEND_URL: string;
    PUBLIC_OPENDATA_BACKEND_URL: string;
    PUBLIC_STI_PROTECTION_BACKEND_URL: string;
    PUBLIC_MEDICAL_REGISTRY_BACKEND_URL: string;
    PUBLIC_DENTAL_BACKEND_URL: string;
    PUBLIC_OFFICIAL_MEDICAL_SERVICE_BACKEND_URL: string;
  }
}

/**
 * Caution: only expose environment variables which are not confidential!
 * All values listed here will be visible to the browser.
 */
export const API_CONFIGURATION: ApiConfiguration = {
  PUBLIC_BASE_BACKEND_URL: env.PUBLIC_BASE_BACKEND_URL,
  PUBLIC_INSPECTION_BACKEND_URL: env.PUBLIC_INSPECTION_BACKEND_URL,
  PUBLIC_SCHOOL_ENTRY_BACKEND_URL: env.PUBLIC_SCHOOL_ENTRY_BACKEND_URL,
  PUBLIC_TRAVEL_MEDICINE_BACKEND_URL: env.PUBLIC_TRAVEL_MEDICINE_BACKEND_URL,
  PUBLIC_MEASLES_PROTECTION_BACKEND_URL:
    env.PUBLIC_MEASLES_PROTECTION_BACKEND_URL,
  PUBLIC_STATISTICS_BACKEND_URL: env.PUBLIC_STATISTICS_BACKEND_URL,
  PUBLIC_CHAT_MANAGEMENT_BACKEND_URL: env.PUBLIC_CHAT_MANAGEMENT_BACKEND_URL,
  PUBLIC_AUDITLOG_BACKEND_URL: env.PUBLIC_AUDITLOG_BACKEND_URL,
  PUBLIC_OPENDATA_BACKEND_URL: env.PUBLIC_OPENDATA_BACKEND_URL,
  PUBLIC_STI_PROTECTION_BACKEND_URL: env.PUBLIC_STI_PROTECTION_BACKEND_URL,
  PUBLIC_MEDICAL_REGISTRY_BACKEND_URL: env.PUBLIC_MEDICAL_REGISTRY_BACKEND_URL,
  PUBLIC_DENTAL_BACKEND_URL: env.PUBLIC_DENTAL_BACKEND_URL,
  PUBLIC_OFFICIAL_MEDICAL_SERVICE_BACKEND_URL:
    env.PUBLIC_OFFICIAL_MEDICAL_SERVICE_BACKEND_URL,
};
